import java.io.*;
import java.util.*;
public class main {
    public static void main(String[] args)throws Exception{
        Scanner in=new Scanner(new File("array.in"));
        PrintWriter out=new PrintWriter("array.out");
        int n=in.nextInt();
        int[] a=new int[n];
        for(int i=0;i<n;i++)
            a[i]=in.nextInt();
        int[] b=new int[n];
        for(int i=0;i<n;i=i+2)
            b[i]=a[i/2];
        for(int i=1;i<n;i=i+2)
        {
            b[i]=a[n-1-((i-1)/2)];
        }
        for(int i=0;i<n;i++)
            out.print(b[i]+" ");
        out.close();
    }
}
